Get Current Droplet Association For App

Get Current Droplet Association For App
Get current droplet association for an app

This endpoint retrieves the current droplet relationship for an app.

Request
URI
GET
https://api.example.local/v3/apps/{guid}/relationships/current_droplet
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns RelationshipToOne of type(s) application/json
{
    "data": {
        "guid": "string"
    }
}
object
data
Optional

data


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/apps/{guid}/relationships/current_droplet